
QGIS Application - Bug report #4717

Rotation affects offset direction

2011-12-30 03:14 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 14598

Description

When a rotation is applied to a symbol, the offset is no longer orthogonal, but along rotated axes. Keeping it orthogonal seems a more

sound choice to me.

History

#1 - 2012-01-16 09:43 AM - JD -

- File 4717_master.diff added

Fixed by removing _rotatedOffset() function which was applying the rotation value to the symbol's centre point. Patch attached.

Also fixed default arrow symbol which wasn't symmetrical.

#2 - 2012-01-16 11:06 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#3 - 2012-01-17 03:46 AM - Marco Hugentobler

- Assignee set to Martin Dobias

#4 - 2012-01-25 03:42 PM - Martin Dobias

Please describe me your use case. For me the current handling seems correct: imagine that you have a symbol composed of several layers, some of them

having an offset. When I start rotating the whole symbol, the offset direction must be rotated too - otherwise the symbol appearance would break. Or do you

mean something else?

#5 - 2012-01-25 11:46 PM - Paolo Cavallini

Quite convincing. However, in case of a single symbol, probably an user will want to use rotation and offset independently.

#6 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#7 - 2014-02-27 11:41 PM - Martin Dobias

- Assignee deleted (Martin Dobias)

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#8 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#9 - 2018-02-23 05:24 PM - Paolo Cavallini

- Resolution set to wontfix

- Status changed from Open to Closed

- Priority changed from Normal to Low

Well, it's an edge case. Since nobody seems interested, we can assume the current behaviour is acceptable to users.

Files

4717_master.diff 2.07 KB 2012-01-16 JD -
